com.icesoft.faces.context.effects

## Class Highlight

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Highlight

- All Implemented Interfaces:
    java.io.Serializable

      public class Highlight
      extends Effect

  The highlight effect will change the background color of an HTML element and then transition the color back its original state
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Highlight()` Default is #ffff99
    `Highlight(java.lang.String s)` Set the highlight color

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFunctionName()` The Javascript function name
    `java.lang.String` | `getStartColor()` Get the starting (highlight) color
    `int` | `hashCode()`
    `void` | `setStartColor(java.lang.String startColor)` Set the starting (highlight) color

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getDuration, getFps, getFrom, getId, getIntfromString, getQueue, getSequence, getSequenceId, getTo, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setDuration, setFired, setFps, setFrom, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTo, setTransitory, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Highlight

          public Highlight()

      Default is #ffff99

    - #### Highlight

          public Highlight(java.lang.String s)

      Set the highlight color
      Parameters:
        `s` - The RGB color to highlight to. Example: #ff00ff

  - ### Method Detail

    - #### getStartColor

          public java.lang.String getStartColor()

      Get the starting (highlight) color
      Returns:
        the highlight color

    - #### setStartColor

          public void setStartColor(java.lang.String startColor)

      Set the starting (highlight) color
      Parameters:
        `startColor` -

    - #### getFunctionName

          public java.lang.String getFunctionName()

      The Javascript function name
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Effect`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.